package com.mx.cneeds.server.logupload.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.DeviceLogEntity;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

public interface DeviceLogService extends IService<DeviceLogEntity> {

    PageUtils queryPage(Map<String, Object> params);

    void deleteBatch(Long[] deviceLogIds);

    void changeStatus(Long logId);

    Long wechatUploadLog(DeviceLogEntity deviceLogEntity);

    void deviceUploadLogFile(DeviceLogEntity deviceLogEntity);

    DeviceLogEntity queryOneBylogAcceptId(String logAcceptId);
}